0 Replies Latest reply on Mar 3, 2002 10:16 PM by Viet

    strange behaviour, maybe bug ?

    Viet Master

      Hi dudes,

      I have noticed a strange behavious of latest cvs RH.

      Let's assume we have to 2 session beans A and B.
      A calls a method M of B. M declares throwing an exception
      MyException.

      In my test, M actually throws actually an exception MyException (it's a kinda
      of test case).

      you can see the code as following :

      A
      {

      public void test()
      {
      try { B.M(); }
      catch(Exception MyException) { log.info("catched"); }
      }

      }

      B
      {

      public void M() throws MyException
      {
      throw new MyException();
      }

      }

      public class MyException extends Exception { ... }


      The first time in deploy my application, everything
      goes fine. When a redeploy my application
      again and invoke test(), I get this message :

      22:05:32,115 ERROR [LogInterceptor] TransactionRolledbackException, causedBy:
      MyException
      <<no stack trace available>>

      If anyone can help me ? I think there is a bug
      around because of differents behaviours.

      regards

      Julien